Demo Preparation by Industry - Bug #3382

CRM - Penambahan Validasi Check Stock di Front-End
01/30/2025 04:39 PM - shofwan shiddiq

Status: Closed Start date: 01/30/2025
Priority: High Due date: 02/07/2025
Assignee: Mr [kmal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Hans, tolong di tambahkan validasi check stock di front end supaya user tidak bisa melakukan checkout apabila jumlah barang
tidak memenuhi stok

e Skenario saat ini hanya ngeload material nya saja, tanpa nge load jumlah stock nya, jadi perlu di join dulu ke table stock (
PMDMATO0001)

Table List

PMDMATO0001 = List Material master data
PMDMATO0004 > Field Quantity = Jumlah Stok setiap material
Skenario

1. Apabila user ingin memencat tombol + berulang2 di basket, tolong di kasih warning message apabila jumlah nya melebihi jumlah
stok.

2. Basket ada 2, di dashboard dan di menu basket. pastikan tambahkan alert ini di kedua menu

Port: https://ecommerce-demoindustry.minovais.com/ECommerce_Dashboard.html
Server: 103.153.60.89
Database: MinovaES_DEMO_Retail

History

#1 - 01/31/2025 02:42 PM - Kezia Pawitra Yulianti
- Due date set to 02/07/2025

- Status changed from New to Assigned

#2 - 01/31/2025 03:14 PM - hans hans
- File clipboard-202501311514-9fqdz.png added
- File clipboard-202501311514-8tzy8.png added
https://ecommerce-demoindustry.minovais.com/ECommerce_Dashboard.html

- Assignee changed from hans hans to shofwan shiddiq

Dear mas Shofwan,
untuk penambahan warning pada saat permintaan melebihi jumlah stock item sudah ditambahkan untuk kedua halaman

1. Dashboard

25 ecommerce-demoindustry.minovais.com/ECommerce_Dashboard.html
Message

Demand exceeds stock | totalstock: 15

2. Basket

°s ecommerce-demoindustry.minovais.com/ECommerce_AddToBasket.html
Message

Demand exceeds stock | totalstock: 25
#3 - 02/05/2025 11:50 AM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Mr Ikmal

Dear lkmal, ini sudah di kerjakan sama hans. tolong di testing yah.

#4 - 02/05/2025 02:55 PM - Mr Ikmal
- File Screenshot 2025-02-05 145419.png added

shofwan shiddiq wrote in #note-3:

Dear lkmal, ini sudah di kerjakan sama hans. tolong di testing yah.

Dear kak Shofwan.

Oke kak, sudah di testing based on data di db. Saya confirm done ya.

Misalnya untuk MateriallD = 00000001, di table PMDMATO0004 punya stock value 20
Sementara untuk MateriallD = 0000001 adalah Facial Wash di table PMDMATO0001
Untuk di tampilan Front-End nya sudah tampil sesuai batasan stock value MateriallD nya

#5 - 02/05/2025 02:57 PM - Mr Ikmal
- % Done changed from 0 to 100

#6 - 02/14/2025 05:02 PM - Mr Ikmal
- Status changed from QA Test to Closed

Files

clipboard-202501301633-iyobm.png 396 KB 01/30/2025
clipboard-202501311514-9fqdz.png 208 KB 01/31/2025
clipboard-202501311514-8tzy8.png 292 KB 01/31/2025
